> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Safe migration status

> Returns the current safe, previous safe (if migrated), and migration status for the authenticated user.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/safe/migration
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/safe/migration:
    get:
      tags:
        - Safe Management
      summary: Retrieve Safe migration status
      description: >-
        Returns the current safe, previous safe (if migrated), and migration
        status for the authenticated user.
      parameters:
        - in: query
          name: migrationId
          schema:
            type: string
            default: safe-replacement-2026-06
          description: Migration identifier to look up.
      responses:
        '200':
          description: Successfully retrieved safe migration info.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SafeMigrationInfo'
        '400':
          description: Invalid query parameters.
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          description: Internal server error.
      security:
        - bearerAuth: []
components:
  schemas:
    SafeMigrationInfo:
      type: object
      required:
        - migrationId
        - hasOldSafe
      properties:
        migrationId:
          type: string
          example: safe-replacement-2026-06
        status:
          type: string
          nullable: true
          enum:
            - PENDING
            - IN_PROGRESS
            - COMPLETED
            - FAILED
          description: >-
            Migration status, or null if the user has not started this
            migration.
        hasOldSafe:
          type: boolean
          description: Whether a previous safe was recorded for this migration.
        newSafe:
          $ref: '#/components/schemas/SafeMigrationSafeInfo'
          nullable: true
          description: The user's current active safe.
        oldSafe:
          $ref: '#/components/schemas/SafeMigrationOldSafeInfo'
          nullable: true
          description: The previous safe recorded during migration, if any.
    SafeMigrationSafeInfo:
      type: object
      required:
        - address
      properties:
        address:
          type: string
          example: '0xabcdef1234567890abcdef1234567890abcdef12'
        chainId:
          type: string
          nullable: true
          example: '100'
        tokenSymbol:
          type: string
          nullable: true
          example: EURe
    SafeMigrationOldSafeInfo:
      type: object
      required:
        - address
        - chainId
        - recordedAt
      properties:
        address:
          type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
        chainId:
          type: string
          example: '100'
        recordedAt:
          type: string
          format: date-time
          example: '2026-06-03T12:00:00.000Z'
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````